LMDE3: Newest Version of OpenGL/Mesa?

All Gurus once were Newbies
Locked
User avatar
darethehair
Level 4
Level 4
Posts: 234
Joined: Sun Mar 08, 2009 2:22 pm
Location: Morden Manitoba Canada
Contact:

LMDE3: Newest Version of OpenGL/Mesa?

Post by darethehair » Fri Mar 23, 2018 5:46 pm

Not sure how/where to ask this, but here goes...

Currently running LMDE2 on an i7 Chromebox with a Haswell HD 4400 onboard GPU, OpenGL ES 3.1, Mesa 13.0.6:

Code: Select all

Graphics:  Card: Intel Haswell-ULT Integrated Graphics Controller bus-ID: 00:02.0
           Display Server: X.Org 1.16.4 drivers: intel (unloaded: fbdev,vesa) Resolution: 1920x1200@59.95hz
           GLX Renderer: Mesa DRI Intel Haswell Mobile GLX Version: 3.0 Mesa 13.0.6 Direct Rendering: Yes
I just downloaded a free game, and it wants OpenGL 4.3. I think that if I was running the 'regular' (Ubuntu) version of Mint, I could add PPAs and get the newest Mesa drivers, but I don't think I have that option with LMDE -- despite using Jessie 'backports', which just give me Mesa 13.0.6. I am currently downloading Mint 18.3 (Ubuntu version) just to see if I can make that work for me -- but I really want to stay with LMDE.

So...anyone know if LMDE3 will have newer/needed Mesa drivers? If not, can I safely add some Debian-based Mesa package to do what I want -- without destroying my existing installation?

Thanks!
There is nothing more dangerous than a bored cat.

cm1
Level 1
Level 1
Posts: 37
Joined: Fri Mar 17, 2017 6:08 pm

Re: LMDE3: Newest Version of OpenGL/Mesa?

Post by cm1 » Mon Mar 26, 2018 5:54 pm

Try to download, compile, and install?:

https://mesa3d.org/download.html

Let us know how it goes!

Penn
Level 5
Level 5
Posts: 753
Joined: Tue Jun 10, 2014 1:12 pm

Re: LMDE3: Newest Version of OpenGL/Mesa?

Post by Penn » Mon Mar 26, 2018 8:16 pm

I think the OpenGL version is directly tied to your hardware. This means you would need a new graphics card.

I could be wrong.

Locked

Return to “Newbie Questions”